
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class Phone extends JApplet implements ActionListener
{
   JTextArea display;
   JButton call;
   JButton end;
   ArrayList keys;

   public void init()
   {
      Container c = this.getContentPane();
      c.setLayout( new FlowLayout() );

      c.add( new JLabel( "NOKIA 8888" ) );
      c.add( display = new JTextArea( 3, 10 ) );
      c.add( call = new JButton( "CALL" ) );
      c.add( end = new JButton( "END" ) );

      // create Jbutton objects for the key pad
      // and stick them into an ArrayList object
      keys = new ArrayList();
	  JButton temp;
	  for ( int i = 0; i <= 9; i++ )
	  {
	      temp = new JButton( ""+i );
	      keys.add( temp );
	  }
	  temp = new JButton( "*" );
      keys.add( temp );
      temp = new JButton( "=" );
      keys.add( temp );
      
      // create panel for keypad
      // and add keys in the right order
      JPanel keyPad = new JPanel();
      keyPad.setLayout( new GridLayout( 4, 3, 3, 5 ) );
	  keyPad.setBackground( Color.blue ); 
   
	  for ( int i = 1; i <= 9; i++ )
	  {
          temp = ( JButton ) keys.get( i );
	      keyPad.add( temp );
      }
      keyPad.add( ( JButton ) keys.get( 10 ) );
      keyPad.add( ( JButton ) keys.get( 0 ) );
      keyPad.add( ( JButton ) keys.get( 11 ) );
      c.add( keyPad );
	  
	  // add listeners for all buttons
	  call.addActionListener( this );
	  end.addActionListener( this );
      for( int i = 0; i <= 11; i++ )
      {
         temp = (JButton) keys.get( i );
         temp.addActionListener( this );
      } 

   }
   
   public void actionPerformed( ActionEvent ae )
   {
	   if ( ae.getSource() == end )
	   {
		   display.setText( "" );
	   }
	   else if ( ae.getSource() == call )
	   {
		   display.setText( "Calling..." );
	   }
	   else
	   {
	       for( int i = 0; i <= 11; i++ )
	       {
               JButton temp = ( JButton ) keys.get( i );
	           if ( ae.getSource() == temp )
	           {
	               String contents = display.getText();
	               display.setText( contents + temp.getText() );
	           }
	       }
	   }
   }

}
